Subject: Re: bug#32758: 26.1 emacs-mac 7.2; forward-sentence in eww overshoots to paragraph ending

From: Eli Zaretskii <[email-masked]>
Date: Tue, 18 Sep 2018 16:16:53 +0300

> From: Van L <[email-masked]>
> Date: Tue, 18 Sep 2018 22:17:01 +1000
> Cc: [email-masked]
> 
> Can Emacs be smartish about sentence-end spacing? look at the periods and spaces between sentences in a paragraph and interpret according to use which is common in the wild wild web.

It would need some statistical analysis of the text and guesswork
based on that, but I don't see why that would be impossible.  Patches
welcome.

> If I do according to the suggestion won’t I miss out on double space endings between sentences?

No, but you might "acquire" sentences where there are none, such as 3
of them in "J. R. Hacker".